---
lang: en
title: 'API docs: context.notification'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.notification.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Notification](./context.notification.md)

## Notification interface

Event data for observer notifications

**Signature:**

```typescript
export interface Notification extends ContextEvent 
```
**Extends:** [ContextEvent](./context.contextevent.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[observers](./context.notification.observers.md)


</td><td>


</td><td>

Set&lt;[ContextEventObserver](./context.contexteventobserver.md)<!-- -->&gt;


</td><td>

A snapshot of observers when the original event is emitted


</td></tr>
</tbody></table>

